
QGIS Application - Feature request #2774

enable double-click to zoom to bookmarks

2010-06-01 08:04 PM - Alister Hood

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12834

Description

It would be efficient and intuitive if you could double-click on a bookmark in the bookmarks dialogue to zoom to the bookmark and

optionally close the dialogue.

Associated revisions

Revision 9ae32d32 - 2011-06-02 05:21 PM - Steven Mizuno 

applied #3863 (fixes #2774)

Revision bc30e89b - 2011-06-02 05:26 PM - Steven Mizuno 

applied #3863 (fixes #2774)

History

#1 - 2011-03-06 08:00 PM - Alister Hood

Hmmm.  Maybe this should be a bug, not a feature request.

Some of the code is already there; it looks like the feature was not fully reimplemented in the refactoring.

I really don't know what I'm doing, but I thought this change would work.  No such luck :(

diff -r qgis/src/app/qgsbookmarks.cpp qgis_orig/src/app/qgsbookmarks.cpp

69,70d68

<   // connect the slot up to catch when a bookmark is double-clicked

<   connect( lstBookmarks, SIGNAL( doubleClicked(QTreeWidgetItem*) ), this, SLOT( on_lstBookmarks_doubleClicked( QTreeWidgetItem * ) ) );

193c191

< void [[QgsBookmarks]]::on_lstBookmarks_doubleClicked( QTreeWidgetItem *item )

---

> void [[QgsBookmarks]]::on_lstBookmarks_doubleClicked( QTreeWidgetItem *lvi )

diff -r qgis/src/ui/qgsbookmarksbase.ui qgis_orig/src/ui/qgsbookmarksbase.ui

#2 - 2011-03-06 08:03 PM - Alister Hood

Oops - don't worry about the diff of the .ui file in that last line - it was just whitespace.
#3 - 2011-06-02 08:24 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit 9ae32d32b2cbc82eee29e550f6b2a2b33d3043e4
